buildr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Assaf Arkin" <ar...@intalio.com>
Subject Re: issues installing buildr
Date Mon, 12 May 2008 18:04:14 GMT
RJB 1.1.3 won't install on Windows, but 1.1.2 works just fine, actually any
1.1.x version of RJB is good.

Assaf

On Mon, May 12, 2008 at 10:59 AM, Shane Witbeck <shane@digitalsanctum.com>
wrote:

> I'm trying to do a fresh install of Buildr version 1.2.10 with MRI. Is
> there a trick to getting rjb installed on windows?
>
> C:\>gem install buildr -v 1.2.10
> Bulk updating Gem source index for: http://gems.rubyforge.org/
> Building native extensions.  This could take a while...
> ERROR:  Error installing buildr:
>        ERROR: Failed to build gem native extension.
>
> C:/ruby/bin/ruby.exe extconf.rb install buildr -v 1.2.10
> checking for jni.h... no
> *** extconf.rb failed ***
> Could not create Makefile due to some reason, probably lack of
> necessary libraries and/or headers.  Check the mkmf.log file for more
> details.  You may need configuration options.
>
> Provided configuration options:
>        --with-opt-dir
>        --without-opt-dir
>        --with-opt-include
>        --without-opt-include=${opt-dir}/include
>        --with-opt-lib
>        --without-opt-lib=${opt-dir}/lib
>        --with-make-prog
>        --srcdir=.
>        --curdir
>        --ruby=C:/ruby/bin/ruby
>
>
> Gem files will remain installed in
> C:/ruby/lib/ruby/gems/1.8/gems/rjb-1.1.3 for inspection
> .
> Results logged to C:/ruby/lib/ruby/gems/1.8/gems/rjb-1.1.3/ext/gem_make.out
>
> --
> -Shane
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message